Name:          ksirk
Version:       4.14.2
Release:       1mamba
Summary:       World Domination Strategy Game
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/%{version}/src/ksirk-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libkdegames-devel
BuildRequires: libphonon-devel
BuildRequires: libqca-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
World Domination Strategy Game.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
touch --no-create %{_kde4_icondir}/locolor >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/locolor >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/locolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/locolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/ksirk
%{_kde4_bindir}/ksirkskineditor
%{_kde4_libdir}/libiris_ksirk.so
%{_kde4_libdir}/libiris_ksirk.so.*
%{_kde4_xdgappsdir}/ksirk.desktop
%{_kde4_xdgappsdir}/ksirkskineditor.desktop
%dir %{_kde4_datadir}/ksirk
%{_kde4_datadir}/ksirk/*
%dir %{_kde4_datadir}/ksirkskineditor
%{_kde4_datadir}/ksirkskineditor/*
%{_kde4_kcfgdir}/ksirksettings.kcfg
%{_kde4_kcfgdir}/ksirkskineditorsettings.kcfg
%config %{_kde4_configdir}/ksirk.knsrc
%doc %lang(en) %{_kde4_htmldir}/en/ksirk/*
%doc %lang(en) %{_kde4_htmldir}/en/ksirkskineditor/*
%{_kde4_icondir}/hicolor/*/apps/ksirk.png
%{_kde4_icondir}/locolor/*/apps/ksirk.png
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB

%changelog
* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Tue Jun 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.4-1mamba
- package created by silvan using the webbuild interface
